Page MenuHomePhabricator

Evaluate VMWare's Harbour as a docker registry
Closed, ResolvedPublic

Description

Harbour is, by all definitions, a superior docker registry for our needs:

  • It has multitenancy builtin
  • Can (quite easily) integrate with LDAP
  • Is thought to work in multiple instances
  • Has native support for Swift including removal of old images and TLS if supported https://docs.docker.com/registry/storage-drivers/swift/
  • Has support for cross-instance replication (multi-dc too)
  • Has support for read-only builtin (we could also separate the public and private instances this way)
  • Can use clair to scan images for vulnerabilities
  • Has an api that is richer than the original docker one, with client libraries in python

I think we should start testing it out ASAP, before migrating our registry becomes too complex.

Event Timeline

Joe created this task.Aug 22 2018, 10:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2018, 10:24 AM
Reedy updated the task description. (Show Details)Aug 22 2018, 10:28 AM
ArielGlenn triaged this task as Normal priority.Aug 29 2018, 10:25 AM
fsero added a subscriber: fsero.Nov 8 2018, 9:52 AM
GTirloni removed a subscriber: GTirloni.Dec 31 2018, 6:44 PM
fsero closed this task as Resolved.Apr 16 2019, 10:25 AM
fsero claimed this task.

since we are not moving forward with Harbor at least for now, closing this task. The evaluation was done and the results are listed on this task https://phabricator.wikimedia.org/T209271